Apache Derby 10.6

## org.apache.derby.jdbc
Class EmbeddedConnectionPoolDataSource40

    java.lang.Object
      org.apache.derby.jdbc.ReferenceableDataSource
          org.apache.derby.jdbc.EmbeddedDataSource
              org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource
                  org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource40

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.naming.spi.ObjectFactory, javax.sql.CommonDataSource, javax.sql.ConnectionPoolDataSource, javax.sql.DataSource

    public class EmbeddedConnectionPoolDataSource40

extends org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource
implements javax.sql.ConnectionPoolDataSource

EmbeddedConnectionPoolDataSource40 is Derby's ConnectionPoolDataSource implementation for the JDBC4.0 environment.

A ConnectionPoolDataSource is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a JNDI service.

EmbeddedConnectionPoolDataSource40 supports the JDBC 4.0 specification for the J2SE 6.0 Java Virtual Machine environment. Use EmbeddedConnectionPoolDataSource if your application runs in the following environments:

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0

EmbeddedConnectionPoolDataSource40 is serializable and referenceable.

See EmbeddedDataSource40 for DataSource properties.

See Also:
  Serialized Form

Constructor Summary
`EmbeddedConnectionPoolDataSource40()`

Method Summary
`boolean` `isWrapperFor(java.lang.Class<?> interfaces)` Returns false unless `interfaces` is implemented

`

`<T> T`

`

`unwrap(java.lang.Class<T> interfaces)`
Returns `this` if this class implements the interface

Methods inherited from class org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource
`createPooledConnection, getPooledConnection, getPooledConnection`

Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource
`equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getShutdownDatabase, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setShutdownDatabase`

Methods inherited from class org.apache.derby.jdbc.ReferenceableDataSource
`getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getObjectInstance, getPassword, getReference, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setUser`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.ConnectionPoolDataSource
`getPooledConnection, getPooledConnection`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### EmbeddedConnectionPoolDataSource40

    public EmbeddedConnectionPoolDataSource40()

Method Detail

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> interfaces)
                         throws java.sql.SQLException

  Returns false unless `interfaces` is implemented

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Parameters:
    `interfaces` - a Class defining an interface.
  Returns:
    true if this implements the interface or directly or indirectly wraps an object that does.
  Throws:
    `java.sql.SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

### unwrap

    public <T> T unwrap(java.lang.Class<T> interfaces)
             throws java.sql.SQLException

  Returns `this` if this class implements the interface

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Parameters:
    `interfaces` - a Class defining an interface
  Returns:
    an object that implements the interface
  Throws:
    `java.sql.SQLExption` - if no object if found that implements the interface
    `java.sql.SQLException`

Built on Tue 2010-09-21 16:20:41-0700, from revision 999685

Apache Derby 10.6 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.